<?php

	require_once '../includes/start.php';
	require_once '../includes/function.php';
	require_once '../includes/header1.php';
	if($game==0 OR $level==0 OR $ban!=0)

{

		echo "<title>Доступ закрыт!!!</title>";
	 	echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
	 	echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
		echo '<div class="blok3"><img src="/images/errors.png" width="200px"/></div><div class="blok3"><b>Вы не авторизованный или заблокированный пользователь или вы не достигли условий для доступа на страницу!!!</b><br/><a href="/?sign_in=1"><font color="#4EEE94"><b>Авторизуйтесь</font></a></b> или <a href="/reg.php"><font color="#4EEE94"><b>Зарегистрируйтесь</b></font></a></div>';

}else{
		   	switch ($act) {
			default:
	echo "<title>Альянсы</title>"; 
	echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
	echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
	echo '<div class="razd"></div>';
	div('<b>Альянсы</b>','top-nav1');
	echo '<div class="razd"></div>';
	echo '<center><div class="blok1"><b>Рейтинг:</b> <font color="#4EEE94"><b>состав</b></font> | <a href="?act=lvl"><b>уровень</b></a> | <a href="?act=opyt"><b>опыт</b></a></div></center><div class="razd"></div>';
	$PAGINGS = mysql_query("SELECT * FROM `fractions` ORDER BY `num` DESC");
	if($PAGINGS > 0)
	{
		while($row = mysql_fetch_array($PAGINGS))
		{

		echo '<center><div class="window1"><div class="dashed"></div>';	
		echo '<img src="../images/icon/all.png" width="30px" alt="image" /> <b><a href="fraction.php?f='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($row['id']))))))).'">'.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($row['name']))))))).'</a></b> <font color="#4EEE94">['.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($row['num']))))))).'/'.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($row['maxnum']))))))).']</font>';
		if($level==9)echo ' <a href="?act=del&amp;f='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($row['id']))))))).'"> <img src="/images/icon/abort.png" width="15px" alt="image" /></a>';
		echo '<div class="dashed"></div></div></center>';
		
	}
	
	}
	if($lvl_hero>=20)echo '<div class="razd"></div><div class="blok"><b>Создать Альянс</b> <a href="?act=new"><font color="#4EEE94">[+]</font></a></div>';
	
break;
	case 'lvl':
	echo "<title>Уровень</title>"; 
	echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
	echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
	echo '<div class="razd"></div>';
	div('<b>Альянсы</b>','top-nav1');
	echo '<div class="razd"></div>';
	echo '<center><div class="blok1"><b>Рейтинг:</b> <a href="index.php"><b>состав</b></a> | <font color="#4EEE94"><b>уровень</b></font> | <a href="?act=opyt"><b>опыт</b></a></div></center><div class="razd"></div>';
	$PAGINGS = mysql_query("SELECT * FROM `fractions` ORDER BY `lvl` DESC");
	if($PAGINGS > 0)
	{

		while($row = mysql_fetch_array($PAGINGS))
		{

		echo '<center><div class="window1"><div class="dashed"></div>';	
		echo '<img src="../images/icon/all.png" width="30px" alt="image" /> <b><a href="fraction.php?f='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($row['id']))))))).'">'.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($row['name']))))))).'</a></b> <font color="#4EEE94">['.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($row['lvl']))))))).']</font>';
		if($level==9)echo ' <a href="?act=del&amp;f='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($row['id']))))))).'"> <img src="/images/icon/abort.png" width="15px" alt="image" /></a>';
		echo '<div class="dashed"></div></div></center>';
		
	}	
	}
	if($lvl_hero>=20)echo '<div class="razd"></div><div class="blok"><b>Создать Альянс</b> <a href="?act=new"><font color="#4EEE94">[+]</font></a></div>';
	
break;
	case 'opyt':
	echo "<title>Опыт</title>"; 
	echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
	echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
	echo '<div class="razd"></div>';
	div('<b>Альянсы</b>','top-nav1');
	echo '<div class="razd"></div>';
	echo '<center><div class="blok1"><b>Рейтинг:</b> <a href="index.php"><b>состав</b></a> | <a href="?act=lvl"><b>уровень</b></a> | <font color="#4EEE94"><b>опыт</b></font></div></center><div class="razd"></div>';
	$PAGINGS = mysql_query("SELECT * FROM `fractions` ORDER BY `opyt` DESC");
	if($PAGINGS > 0)
	{
		while($row = mysql_fetch_array($PAGINGS))
		{

		echo '<center><div class="window1"><div class="dashed"></div>';	
		echo '<img src="../images/icon/all.png" width="30px" alt="image" /> <b><a href="fraction.php?f='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($row['id']))))))).'">'.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($row['name']))))))).'</a></b> <font color="#4EEE94">['.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($row['opyt']))))))).']</font>';
		if($level==9)echo ' <a href="?act=del&amp;f='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($row['id']))))))).'"> <img src="/images/icon/abort.png" width="15px" alt="image" /></a>';
		echo '<div class="dashed"></div></div></center>';
		
	}	
	}
	if($lvl_hero>=20)echo '<div class="razd"></div><div class="blok"><b>Создать Альянс</b> <a href="?act=new"><font color="#4EEE94">[+]</font></a></div>';
	
break;
case 'new':
if($lvl_hero>=20){
echo "<title>Новый Альянс</title>";
echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
echo '<div class="razd"></div>';
div('<a href="index.php"><b>Альянс</b></a> | <font color="#4EEE94"><b>Новый Альянс</b></font>','top-nav1');
echo '<div class="razd"></div>';
$yourfr=mysql_result(mysql_query("SELECT COUNT(*) FROM `fractions_users` WHERE `uid` = '".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($use_id)))))))."';"), 0);
if($yourfr!=0){echo '<div class="window">Вы не можете создать свой Альянс пока состоите в любой другой фракции</div><div class="razd"></div>';}else{

	  	if(!$_POST)
	{
			echo '<center><div class="window">';
			echo '<form action="" method="POST">';
			echo 'Название Альянса:<br/><font color="#FF0000">(Введите минимум 5 букв или символов)</font><br/><input type="text" value="" name="text"/><br/>Информация о Альянсе:<br/><font color="#FF0000">(Введите минимум 5 букв или символов)</font><br/><input type="text" value="" name="about"/><br/>';
			echo '<input type="submit" name="submit" value="Создать"/></form>';
			echo '</div></center>';
	}
	else
	{
		$text = check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($_POST['text'])))))));
		$about = check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($_POST['about'])))))));
		$lastfr=mysql_result(mysql_query("SELECT COUNT(*) FROM `fractions` WHERE `name` = '".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($text)))))))."' or `uid`='$use_id';"), 0);
		$fid=mysql_result(mysql_query("SELECT max(id) FROM `fractions`;"), 0);
		$fid=$fid+1;
$error = false;
if( trim($_POST['text']) =='')

{
  
  $error = $error. 'Внесите информацию в поле: <font color="#4EEE94"><ins><b>Название Альянса</b></ins></font><br/>';
    
}

if(!empty($_POST['text']) && (mb_strlen($_POST['text']) > 50 || mb_strlen($_POST['text']) < 5 ||mb_strlen($_POST['text']) > 50))

{

	$error = $error. 'Введите в поле: <font color="#4EEE94"><ins><b>Название Альянса</b></ins></font>  минимум 5 символов или букв<br/>';
  
}

if(!empty($_POST['text']) && (preg_match('/[^a-zA-Zа-яА-Я0-9]+/=:',$_POST['text'])))
  
   
{
    
	$error = $error. 'Поле: <font color="#4EEE94"><b>Название Альянса</b></font> содержит запрещенные символы<br/>';
    
}

elseif ($lastfr > 0)

{

	$error = $error . 'Такая фракция уже есть или вы уже являетесь главой фракции!<br />';

}			

if( trim($_POST['about']) =='')

{
  
  $error = $error. 'Внесите информацию в поле: <font color="#4EEE94"><ins><b>Информация о Альянсе</b></ins></font><br/>';
    
}

if(!empty($_POST['about']) && (mb_strlen($_POST['about']) > 100 || mb_strlen($_POST['about']) < 5 ||mb_strlen($_POST['about']) > 100))

{

	$error = $error. 'Введите в поле: <font color="#4EEE94"><ins><b>Информация о Альянсе</b></ins></font>  минимум 5 символов или букв<br/>';
  
}

if(!empty($_POST['about']) && (preg_match('/[^a-zA-Zа-яА-Я0-9]+/=:',$_POST['about'])))
  
   
{
    
	$error = $error. 'Поле: <font color="#4EEE94"><b>Информация о Альянсе</b></font> содержит запрещенные символы<br/>';
    
}

if (empty($error))
		{
		
			mysql_query("INSERT INTO `fractions` SET
						`id`='" . check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($fid))))))) . "',
			            `uid`='" . check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($use_id))))))) . "',
						`time`='" . time() . "',
						`about`='" . check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($about))))))) . "',
			            `name`='" . check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($text))))))) . "';");
			mysql_query("INSERT INTO `fractions_users` SET
			            `uid`='" . check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($use_id))))))) . "',
						`fid`='" . check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($fid))))))) . "',
						`adm`=\"1\",
						`time`='" . time() . "';");	
mysql_query("UPDATE `users` SET  `fr_id`='" . check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($fid))))))) . "', `fr_name`='" . check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($text))))))) . "' WHERE `id` = '".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($use_id)))))))."'");
mysql_query("UPDATE `planet` SET `fr_id`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($fid)))))))."' WHERE `uid` = '".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($use_id)))))))."'");		
mysql_query("UPDATE `sosed` SET `fr_id`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($fid)))))))."' WHERE `uid2` = '".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($use_id)))))))."'");	
mysql_query("UPDATE `sector_loc` SET `fr_id`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($fid)))))))."' WHERE `uid` = '".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($use_id)))))))."'");	
mysql_query("UPDATE `army` SET `fr_id`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($fid)))))))."' WHERE `uid` = '".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($use_id)))))))."'");						
header('Location: index.php');

		}
		else
		{
			echo '<div class="blok"><b>' . $error. '</b></div>';
		}
	}}
	echo '<div class="razd"></div>';
	echo '<div class="blok"><a href="index.php"><b>Назад</b></a></div>';
	}
break;
case 'del':
if($level==9){
$fr=$_GET['f'];
$q = mysql_query("SELECT * FROM `fractions` WHERE `id`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($fr)))))))."'");
$f = mysql_fetch_array($q);
echo "<title>Удаление ".$f['name']."</title>"; 
echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
echo '<div class="razd"></div>';
echo '<div class="top-nav1"><img src="../images/icon/all.png" width="30px" alt="image" /><b>Альянс <u>'.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['name']))))))).'</u></b></div></div>';
echo '<div class="razd"></div>';
$m=$_GET['m'];
	$wb=$_GET['o'];
		if($wb!=1){
		                    echo '<center><div class="window">';
							echo 'Вы уверенны что хотите удалить этот Альянс?<br/>';
							echo '<a href="?act=del&amp;f='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id']))))))).'&amp;o=1"><font color="#4EEE94"><b>Да</b></font></a> или <a href="index.php"><font color="#4EEE94"><b>Отмена</b></font></a><br/>';
							echo '</div></center>';
							}else{
	unlink ("../images/gerb/".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['ava'])))))))."");
	mysql_query("DELETE FROM `fractions_chat` WHERE `fid`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id'])))))))."'");
	mysql_query("DELETE FROM `fractions_news` WHERE `fid`='".$check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id'])))))))."'");
	mysql_query("DELETE FROM `fractions_users` WHERE `fid`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id'])))))))."'");
	mysql_query("DELETE FROM `fractions` WHERE `id`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id'])))))))."'");
	mysql_query("DELETE FROM `fractions_dipl` WHERE `fr_id1`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id'])))))))."'");
	mysql_query("DELETE FROM `fractions_dipl` WHERE `fr_id2`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id'])))))))."'");
	mysql_query("UPDATE `users` SET `fr_id`=0, `fr_name`='' WHERE `fr_id`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id'])))))))."'");
	mysql_query("UPDATE `users` SET `fr`=0, `fr_name`='' WHERE `fr`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id'])))))))."'");
	header("Location: index.php");
	echo "<div class=\"blok\">Альянс успешно удален</div>";
							}}
}
	}
	echo '<div class="razd"></div>';
	echo '<center><div class="blok2"><a href="../"><b>На Главную</b></a></div></center>';
	echo '<div class="razd"></div>';
	require_once '../includes/footer1.php';
?>